// @ts-check
const fs = require("fs");
const grabDist = require("./utils/grabDist");
const createMDX = require("@next/mdx");

const distDir = grabDist();

/**
 * @type {import('next').NextConfig}
 */
const nextConfig = {
    reactStrictMode: true,
    eslint: {
        ignoreDuringBuilds: true,
    },
    typescript: {
        ignoreBuildErrors: true,
    },
    pageExtensions: ["js", "jsx", "ts", "tsx", "md", "mdx"],
    distDir,
};

const withMDX = createMDX({
    // Add markdown plugins here, as desired
});

module.exports = withMDX(nextConfig);
